diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 84290ea61821665c298f803cffdb9fc224784300..3251e46bf7800cbd7dae3eddeda99a902b5aeda0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -355,7 +355,7 @@ public final class CMSAdminServlet extends AdminServlet {
     }
 
     private boolean isSubsystemInstalled(String subsystem) {
-        Enumeration e = CMS.getSubsystems();
+        Enumeration<ISubsystem> e = CMS.getSubsystems();
 
         while (e.hasMoreElements()) {
             String type = "";
@@ -383,7 +383,7 @@ public final class CMSAdminServlet extends AdminServlet {
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
 
-        Enumeration e = CMS.getSubsystems();
+        Enumeration<ISubsystem> e = CMS.getSubsystems();
         boolean isCAInstalled = false;
         boolean isRAInstalled = false;
         boolean isKRAInstalled = false;
@@ -536,13 +536,14 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+			Enumeration<String> enum1 = req.getParameterNames();
             NameValuePairs params = new NameValuePairs();
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
 
             jssSubSystem.getInternalTokenName();
-            Enumeration e = CMS.getSubsystems();
+            Enumeration<ISubsystem> e = CMS.getSubsystems();
             boolean isCAInstalled = false;
             boolean isRAInstalled = false;
             boolean isKRAInstalled = false;
@@ -797,7 +798,7 @@ public final class CMSAdminServlet extends AdminServlet {
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = CMS.getSubsystems();
+        Enumeration<ISubsystem> e = CMS.getSubsystems();
         StringBuffer buff = new StringBuffer();
 
         while (e.hasMoreElements()) {
@@ -863,7 +864,8 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         IConfigStore dbConfig = mConfig.getSubStore(PROP_INTERNAL_DB);
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
             String key = (String) enum1.nextElement();
@@ -889,7 +891,8 @@ private void 	createMasterKey(HttpServletRequest req,
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> e = req.getParameterNames();
 		String newKeyName = null, selectedToken = null;
         while (e.hasMoreElements()) {
             String name = (String) e.nextElement();
@@ -926,7 +929,8 @@ private void 	createMasterKey(HttpServletRequest req,
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
             String name = (String) e.nextElement();
@@ -980,7 +984,8 @@ private void 	createMasterKey(HttpServletRequest req,
         IConfigStore dbConfig = mConfig.getSubStore(PROP_DB);
         IConfigStore ldapConfig = dbConfig.getSubStore("ldap");
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> e = req.getParameterNames();
        
         while (e.hasMoreElements()) {
             String name = (String) e.nextElement();
@@ -1042,7 +1047,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void loggedInToken(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> enum1 = req.getParameterNames();
         String tokenName = "";
         String pwd = "";
 
@@ -1070,7 +1076,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void checkTokenStatus(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> enum1 = req.getParameterNames();
         String key = "";
         String value = "";
 
@@ -1116,7 +1123,8 @@ private void 	createMasterKey(HttpServletRequest req,
         // to the signed audit log and stored as failures
         try {
             NameValuePairs params = new NameValuePairs();
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+			Enumeration<String> enum1 = req.getParameterNames();
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
             String keyType = "";
             int keyLength = 512;
@@ -1492,7 +1500,8 @@ private void 	createMasterKey(HttpServletRequest req,
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+			Enumeration<String> enum1 = req.getParameterNames();
             String pkcs = "";
             String type = "";
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
@@ -1744,7 +1753,7 @@ private void 	createMasterKey(HttpServletRequest req,
                     if (extensions != null) {
                         BasicConstraintsExtension basic =
                             (BasicConstraintsExtension)
-                            extensions.get(BasicConstraintsExtension.NAME);
+                            extensions.get(BasicConstraintsExtension.class.getSimpleName());
 
                         if (basic == null)
                             log(CMS.getLogMessage("ADMIN_SRVLT_BASIC_CONSTRAIN_NULL"));
@@ -1930,7 +1939,8 @@ private void 	createMasterKey(HttpServletRequest req,
             String serverRoot = "";
             String serverID = "";
             String certpath = "";
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+			Enumeration<String> enum1 = req.getParameterNames();
 
             while (enum1.hasMoreElements()) {
                 String key = (String) enum1.nextElement();
@@ -2152,7 +2162,7 @@ private void 	createMasterKey(HttpServletRequest req,
                     if (extensions != null) {
                         BasicConstraintsExtension basic =
                             (BasicConstraintsExtension)
-                            extensions.get(BasicConstraintsExtension.NAME);
+                            extensions.get(BasicConstraintsExtension.class.getSimpleName());
 
                         if (basic == null)
                             log(CMS.getLogMessage("ADMIN_SRVLT_BASIC_CONSTRAIN_NULL"));
@@ -2344,7 +2354,8 @@ private void 	createMasterKey(HttpServletRequest req,
             String serverRoot = "";
             String serverID = "";
             String certpath = "";
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+			Enumeration<String> enum1 = req.getParameterNames();
             NameValuePairs results = new NameValuePairs();
 
             while (enum1.hasMoreElements()) {
@@ -2571,7 +2582,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void getCertInfo(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+		Enumeration<String> enum1 = req.getParameterNames();
         NameValuePairs results = new NameValuePairs();
         String pkcs = "";
         String path = "";
@@ -2668,7 +2680,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void getCertPrettyPrint(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
             CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String nickname = "";
@@ -2711,7 +2724,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void getRootCertTrustBit(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
             CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String nickname = "";
@@ -2827,7 +2841,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void deleteCerts(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
             CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String nickname = "";
@@ -2859,8 +2874,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void validateSubjectName(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
             String key = (String) enum1.nextElement();
@@ -2880,7 +2895,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void validateKeyLength(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String keyType = "RSA";
         String keyLen = "512";
         String certType = "";
@@ -2910,7 +2926,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void validateCurveName(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String curveName = null;
 
         while (enum1.hasMoreElements()) {
@@ -2940,7 +2957,8 @@ private void 	createMasterKey(HttpServletRequest req,
     private void validateCertExtension(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+    	@SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String certExt = "";
 
         while (enum1.hasMoreElements()) {
@@ -2964,7 +2982,8 @@ private void 	createMasterKey(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
  
         String nickname = "";
         String keyType = "RSA";
@@ -2995,7 +3014,8 @@ private void 	createMasterKey(HttpServletRequest req,
         HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
         String keyType = "RSA";
@@ -3084,7 +3104,8 @@ private void 	createMasterKey(HttpServletRequest req,
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            Enumeration enum1 = req.getParameterNames();
+        	@SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
             String trust = "";
@@ -3184,8 +3205,8 @@ private void 	createMasterKey(HttpServletRequest req,
                 CMS.debug("CMSAdminServlet::runSelfTestsOnDemand():"
                     + "  ENTERING . . .");
             }
-
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             String request = "";
             NameValuePairs results = new NameValuePairs();
             String content = "";
diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index f5f06becbf58c8e7377a57f5aa90019e920d8820..696b091eec6d399679b4f8e1e3893e4009d92687 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -239,14 +239,14 @@ public abstract class CMSServlet extends HttpServlet {
 
     protected boolean mRenderResult = true;
     protected String mFinalErrorMsg = FINAL_ERROR_MSG;
-    protected Hashtable mTemplates = new Hashtable();
+    protected Hashtable<Integer, CMSLoadTemplate> mTemplates = new Hashtable<Integer, CMSLoadTemplate>();
 
     protected ServletConfig mServletConfig = null;
     protected ServletContext mServletContext = null;
     private   CMSFileLoader mFileLoader = null;
 
-    protected Vector mDontSaveHttpParams = new Vector();
-    protected Vector mSaveHttpHeaders = new Vector();
+    protected Vector<String> mDontSaveHttpParams = new Vector<String>();
+    protected Vector<String> mSaveHttpHeaders = new Vector<String>();
 
     protected String mId = null;
     protected IConfigStore mConfig = null;
@@ -286,9 +286,9 @@ public abstract class CMSServlet extends HttpServlet {
     public CMSServlet() {
     }
 
-    public static Hashtable toHashtable(HttpServletRequest req) {
-        Hashtable httpReqHash = new Hashtable();
-        Enumeration names = req.getParameterNames();
+    public static Hashtable<String, String> toHashtable(HttpServletRequest req) {
+        Hashtable<String, String> httpReqHash = new Hashtable<String, String>();
+        Enumeration<?> names = req.getParameterNames();
 
         while (names.hasMoreElements()) {
             String name = (String) names.nextElement();
@@ -355,7 +355,7 @@ public abstract class CMSServlet extends HttpServlet {
                 mFinalErrorMsg = eMsg;
 
                 // get any configured templates.
-            Enumeration templs = mTemplates.elements();
+            Enumeration<CMSLoadTemplate> templs = mTemplates.elements();
 
             while (templs.hasMoreElements()) {
                 CMSLoadTemplate templ = (CMSLoadTemplate) templs.nextElement();
@@ -419,7 +419,7 @@ public abstract class CMSServlet extends HttpServlet {
     public void outputHttpParameters(HttpServletRequest httpReq)
     {
 	CMS.debug("CMSServlet:service() uri = " + httpReq.getRequestURI());
-        Enumeration paramNames = httpReq.getParameterNames();
+        Enumeration<?> paramNames = httpReq.getParameterNames();
         while (paramNames.hasMoreElements()) {
             String pn = (String)paramNames.nextElement();
             // added this facility so that password can be hidden,
@@ -511,7 +511,7 @@ public abstract class CMSServlet extends HttpServlet {
         ICommandQueue iCommandQueue = CMS.getCommandQueue();
 
         try {
-            if (iCommandQueue.registerProcess((Object) cmsRequest, (Object) this) == false) {
+            if (iCommandQueue.registerProcess(cmsRequest, this) == false) {
                 cmsRequest.setStatus(CMSRequest.ERROR);
                 renderResult(cmsRequest);
                 SessionContext.releaseContext();
@@ -604,7 +604,7 @@ public abstract class CMSServlet extends HttpServlet {
         Node argBlockContainer = xmlObj.createContainer(parent, argBlockName);
 
         if (argBlock != null) {
-            Enumeration names = argBlock.getElements();
+            Enumeration<String> names = argBlock.getElements();
             while (names.hasMoreElements()) {
                 String name = (String) names.nextElement();
                 String val = argBlock.get(name).toString();
@@ -624,7 +624,7 @@ public abstract class CMSServlet extends HttpServlet {
             outputArgBlockAsXML(xmlObj, root, "header", params.getHeader());
             outputArgBlockAsXML(xmlObj, root, "fixed",  params.getFixed());
 
-            Enumeration records = params.queryRecords();
+            Enumeration<IArgBlock> records = params.queryRecords();
             Node recordsNode = xmlObj.createContainer(root, "records");
             if (records != null) {
                 while (records.hasMoreElements()) {
@@ -1023,11 +1023,11 @@ public abstract class CMSServlet extends HttpServlet {
     protected void saveHttpHeaders(
         HttpServletRequest httpReq, IRequest req)
         throws EBaseException {
-        Hashtable headers = new Hashtable();
-        Enumeration hdrs = mSaveHttpHeaders.elements();
+        Hashtable<String, String> headers = new Hashtable<String, String>();
+        Enumeration<String> hdrs = mSaveHttpHeaders.elements();
 
         while (hdrs.hasMoreElements()) {
-            String hdr = (String) hdrs.nextElement();
+            String hdr = hdrs.nextElement();
             String val = httpReq.getHeader(hdr);
 
             if (val != null) {
@@ -1042,17 +1042,17 @@ public abstract class CMSServlet extends HttpServlet {
      */
     protected void saveHttpParams(
         IArgBlock httpParams, IRequest req) {
-        Hashtable saveParams = new Hashtable();
+        Hashtable<String, String> saveParams = new Hashtable<String, String>();
 
-        Enumeration names = httpParams.elements();
+        Enumeration<String> names = httpParams.elements();
 
         while (names.hasMoreElements()) {
             String name = (String) names.nextElement();
-            Enumeration params = mDontSaveHttpParams.elements();
+            Enumeration<String> params = mDontSaveHttpParams.elements();
             boolean dosave = true;
 
             while (params.hasMoreElements()) {
-                String param = (String) params.nextElement();
+                String param = params.nextElement();
 
                 if (name.equalsIgnoreCase(param)) {
                     dosave = false;
@@ -1065,7 +1065,7 @@ public abstract class CMSServlet extends HttpServlet {
                 // retrieves string values.
                 // TODO - when we can use JDK5 features we should typecast
                 // the params until they get here
-                saveParams.put(name, httpParams.get(name));
+                saveParams.put(name, (String) httpParams.get(name));
             }
         }
         req.setExtData(IRequest.HTTP_PARAMS, saveParams);
@@ -1477,7 +1477,7 @@ public abstract class CMSServlet extends HttpServlet {
 
         // # 56230 - expose auth token parameters to the policy predicate
         if (token != null && req != null) {
-            Enumeration e = token.getElements();
+            Enumeration<String> e = token.getElements();
             while (e.hasMoreElements()) {
                 String n = (String) e.nextElement();
                 String[] x1 = token.getInStringArray(n);
@@ -1555,7 +1555,7 @@ public abstract class CMSServlet extends HttpServlet {
         CRLExtensions crlentryexts = new CRLExtensions();
 
         try {
-            crlentryexts.set(CRLReasonExtension.NAME, reasonExt);
+            crlentryexts.set(CRLReasonExtension.class.getSimpleName(), reasonExt);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, 
                 CMS.getLogMessage("CMSGW_ERR_CRL_REASON", reason.toString(), e.toString()));
@@ -2197,7 +2197,7 @@ public abstract class CMSServlet extends HttpServlet {
             return ILogger.SIGNED_AUDIT_EMPTY_VALUE;
         }
 
-        Enumeration groups = null;
+        Enumeration<IGroup> groups = null;
 
         try {
             groups = mUG.findGroups("*");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index 5431d2cf840b4375b90a52c4563844c04ee726c7..15d069e36bd8d08b5cce647bf1bfe6375f8a9dd1 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -383,8 +383,8 @@ CMS.debug("**** mFormPath = "+mFormPath);
 
         try {
             int count = 0;
-            Vector oldCertsV = new Vector();
-            Vector revCertImplsV = new Vector();
+            Vector<X509CertImpl> oldCertsV = new Vector<X509CertImpl>();
+            Vector<RevokedCertImpl> revCertImplsV = new Vector<RevokedCertImpl>();
 
             // Construct a CRL reason code extension.
             RevocationReason revReason = RevocationReason.fromInt(reason);
@@ -410,7 +410,7 @@ CMS.debug("**** mFormPath = "+mFormPath);
             if (mAuthority instanceof ICertificateAuthority) {
                 ICertRecordList list = (ICertRecordList) mCertDB.findCertRecordsInList(
                         revokeAll, null, totalRecordCount);
-                Enumeration e = list.getCertRecords(0, totalRecordCount - 1);
+                Enumeration<ICertRecord> e = list.getCertRecords(0, totalRecordCount - 1);
 
                 while (e != null && e.hasMoreElements()) {
                     ICertRecord rec = (ICertRecord) e.nextElement();
@@ -443,7 +443,7 @@ CMS.debug("**** mFormPath = "+mFormPath);
 
                 if (mRequestID != null && mRequestID.length() > 0) 
                     reqIdStr = mRequestID;
-                Vector serialNumbers = new Vector();
+                Vector<String> serialNumbers = new Vector<String>();
 
                 if (revokeAll != null && revokeAll.length() > 0) {
                     for (int i = revokeAll.indexOf('=');
@@ -659,7 +659,7 @@ CMS.debug("**** mFormPath = "+mFormPath);
                 }
                 if (mAuthority instanceof ICertificateAuthority) {
                     // let known update and publish status of all crls.
-                    Enumeration otherCRLs =
+                    Enumeration<ICRLIssuingPoint> otherCRLs =
                         ((ICertificateAuthority) mAuthority).getCRLIssuingPoints();
 
                     while (otherCRLs.hasMoreElements()) {
@@ -766,7 +766,7 @@ CMS.debug("**** mFormPath = "+mFormPath);
                 }
 
             } else {
-                Vector errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
                 StringBuffer errorStr = new StringBuffer();
 
                 if (errors != null && errors.size() > 0) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
index 8dff276859abc996d4bb4f0051062abdca35a7f2..181e6e9c55ef338de6450bf0e5efbbc9a76680ff 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
@@ -309,8 +309,8 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
         throws EBaseException {
         try {
             int count = 0;
-            Vector oldCertsV = new Vector();
-            Vector revCertImplsV = new Vector();
+            Vector<X509CertImpl> oldCertsV = new Vector<X509CertImpl>();
+            Vector<RevokedCertImpl> revCertImplsV = new Vector<RevokedCertImpl>();
 
             // Construct a CRL reason code extension.
             RevocationReason revReason = RevocationReason.fromInt(reason);
@@ -336,7 +336,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
             if (mAuthority instanceof ICertificateAuthority) {
                 ICertRecordList list = (ICertRecordList) mCertDB.findCertRecordsInList(
                         revokeAll, null, totalRecordCount);
-                Enumeration e = list.getCertRecords(0, totalRecordCount - 1);
+                Enumeration<ICertRecord> e = list.getCertRecords(0, totalRecordCount - 1);
 
                 while (e != null && e.hasMoreElements()) {
                     ICertRecord rec = (ICertRecord) e.nextElement();
@@ -369,7 +369,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
 
                 if (mRequestID != null && mRequestID.length() > 0) 
                     reqIdStr = mRequestID;
-                Vector serialNumbers = new Vector();
+                Vector<String> serialNumbers = new Vector<String>();
 
                 if (revokeAll != null && revokeAll.length() > 0) {
                     for (int i = revokeAll.indexOf('=');
@@ -565,7 +565,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 }
                 if (mAuthority instanceof ICertificateAuthority) {
                     // let known update and publish status of all crls.
-                    Enumeration otherCRLs =
+                    Enumeration<ICRLIssuingPoint> otherCRLs =
                         ((ICertificateAuthority) mAuthority).getCRLIssuingPoints();
 
                     while (otherCRLs.hasMoreElements()) {
@@ -672,7 +672,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 }
 
             } else {
-                Vector errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
                 StringBuffer errorStr = new StringBuffer();
 
                 if (errors != null && errors.size() > 0) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
index 61cadc4aad2462a49a3d142a841af55683aa9e4c..ea62b9cbe3ae29b37a456f2d74e95fd5e1bdbed8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
@@ -331,7 +331,7 @@ public class DisplayBySerial extends CMSServlet {
                 CRLExtensions crlExts = revocationInfo.getCRLEntryExtensions();
 
                 if (crlExts != null) {
-                    Enumeration enumx = crlExts.getElements();
+                    Enumeration<Extension> enumx = crlExts.getElements();
                     int reason = 0;
 
                     while (enumx.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
index b333c78704e238807e01cb67dfd2dcbcb9d86afd..3c562d659006a62ab8b5477d1b9b7fd770fffeda 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
@@ -441,8 +441,8 @@ public class DoRevoke extends CMSServlet {
 
         try {
             int count = 0;
-            Vector oldCertsV = new Vector();
-            Vector revCertImplsV = new Vector();
+            Vector<X509CertImpl> oldCertsV = new Vector<X509CertImpl>();
+            Vector<RevokedCertImpl> revCertImplsV = new Vector<RevokedCertImpl>();
 
             // Construct a CRL reason code extension.
             RevocationReason revReason = RevocationReason.fromInt(reason);
@@ -467,11 +467,11 @@ public class DoRevoke extends CMSServlet {
 
             if (mAuthority instanceof ICertificateAuthority) {
 
-                Enumeration e = mCertDB.searchCertificates(revokeAll,
+                Enumeration<ICertRecord> e = mCertDB.searchCertificates(revokeAll,
                         totalRecordCount, mTimeLimits);
 
                 while (e != null && e.hasMoreElements()) {
-                    ICertRecord rec = (ICertRecord) e.nextElement();
+                    ICertRecord rec = e.nextElement();
 
                     if (rec == null)
                         continue;
@@ -532,7 +532,7 @@ public class DoRevoke extends CMSServlet {
 
             } else if (mAuthority instanceof IRegistrationAuthority) {
                 String reqIdStr = req.getParameter("requestId");
-                Vector serialNumbers = new Vector();
+                Vector<String> serialNumbers = new Vector<String>();
 
                 if (revokeAll != null && revokeAll.length() > 0) {
                     for (int i = revokeAll.indexOf('=');
@@ -833,7 +833,7 @@ public class DoRevoke extends CMSServlet {
 
                 if (mAuthority instanceof ICertificateAuthority) {
                     // let known update and publish status of all crls. 
-                    Enumeration otherCRLs = 
+                    Enumeration<ICRLIssuingPoint> otherCRLs = 
                         ((ICertificateAuthority) mAuthority).getCRLIssuingPoints();
 
                     while (otherCRLs.hasMoreElements()) {
@@ -924,7 +924,7 @@ public class DoRevoke extends CMSServlet {
                 } else {
                     header.addStringValue("revoked", "no");
                 }
-                Vector errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
                 if (errors != null) {
                     StringBuffer errInfo = new StringBuffer();
                     for (int i = 0; i < errors.size(); i++) {
